﻿// Author: Alexander Sorokin
// Copyright: University of Illinois at Urbana-Champaign
// License terms: BSD license, attribution required

package vision{

	import flash.display.*;
	//import flash.display.Shape;
	import fl.controls.Label;
	import flash.events.MouseEvent;
	import flash.events.Event;

	dynamic public class AlignmentMarker extends MovieClip
	{
		function AlignmentMarker()
		{
			this.addEventListener(MouseEvent.MOUSE_DOWN, pickUp);
			this.addEventListener(MouseEvent.MOUSE_UP, dropIt);
			this.addEventListener(MouseEvent.CLICK, killClickEvent);
			
		}
		public function setMarkerID(ID:int):void
		{
			this.gotoAndStop(ID);
		}
		function pickUp(event:MouseEvent):void {
			event.target.startDrag(true);
			event.stopPropagation();
		}
		function dropIt(event:MouseEvent):void {
			event.target.stopDrag();
			event.stopPropagation();
		}
		function killClickEvent(event:MouseEvent):void {
			event.stopPropagation();
		}
	}
}