﻿// Author: Alexander Sorokin
// Copyright: University of Illinois at Urbana-Champaign
// License terms: BSD license, attribution required
package vision{
	
	import flash.display.*;
		//import flash.display.Shape;
	import fl.controls.Label;
	import flash.events.MouseEvent;
	import flash.events.Event;
	import flash.net.URLLoader;
	import flash.net.URLRequest;
	//import SelectedPersonMark;
	 
	 dynamic public class DotMarkerInput extends MovieClip
	 {
		public var ptsX:Array;
		public var ptsY:Array;
		public var keys:Array;
		public var cls;
		function DotMarkerInput(){
			
		}
		
				
		var all_polygons:Array=new Array();

		function person_loaded(event:Event):void
		{
			var loader:URLLoader = URLLoader(event.target);

			var lines:Array=loader.data.split("\n")
						
			var ptsX:Array=new Array;
			var ptsY:Array=new Array;
			ptsX.push(0);
			ptsY.push(0);
			for(var iL=0;iL<lines.length;iL++)
			{
				var pts:Array=lines[iL].split(" ");	
				if(pts.length<3)
				{
					continue;
				}
				ptsX.push(int(pts[0]));
				ptsY.push(int(pts[1]));
				
				
				//var markCls:Class=flash.utils.getDefinitionByName("SelectedPersonMark");
				var mark;
				if(pts[2]=="1"){
					mark=new SelectedPersonMark();
				}else if(pts[2]=="2"){
					mark=new BlockedPersonMark();
				}
				mark.x=int(pts[0]);
				mark.y=int(pts[1]);
				this.addChild(mark);
			}
	
		}

		var annotation_loaders:Array=new Array();
		
		public function load_from_url_simple(url:String):void{
			var ldr:URLLoader;
				ldr=new URLLoader();
			
				var req:URLRequest = new URLRequest(url);
				annotation_loaders.push(ldr)	
				ldr.addEventListener(Event.COMPLETE, person_loaded);
				ldr.load(req);		
		}
	 }
}